> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates one or more compliance categories.

> Body is always an array, even for a single item. All items are persisted in a single transaction. Capped at 200 items per request.



## OpenAPI

````yaml /openapi/external.enriched.json post /api/compliance-categories
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/compliance-categories:
    post:
      tags:
        - ComplianceCategories
      summary: Creates one or more compliance categories.
      description: >-
        Body is always an array, even for a single item. All items are persisted
        in a single transaction. Capped at 200 items per request.
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ComplianceCategoryCreateDto'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ComplianceCategoryCreateDto'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ComplianceCategoryCreateDto'
        required: true
      responses:
        '201':
          description: Created
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfComplianceCategoryDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfComplianceCategoryDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfListOfComplianceCategoryDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
        '409':
          description: Conflict
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiBulkErrorResponse'
      security:
        - {}
components:
  schemas:
    ComplianceCategoryCreateDto:
      type: object
      properties:
        name:
          type: string
        userDefinedId:
          type:
            - 'null'
            - string
        state:
          $ref: '#/components/schemas/ComplianceCategoryState'
      additionalProperties: false
    ApiResponseOfListOfComplianceCategoryDto:
      required:
        - status
        - code
        - data
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          type:
            - 'null'
            - array
          items:
            $ref: '#/components/schemas/ComplianceCategoryDto'
      additionalProperties: false
    ApiBulkErrorResponse:
      required:
        - status
        - code
        - error
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/BulkErrorDetail'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    ComplianceCategoryState: {}
    ApiResponseStatus: {}
    ComplianceCategoryDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        name:
          type: string
        state:
          $ref: '#/components/schemas/ComplianceCategoryState'
        usedInStandard:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        usedInCertificates:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        userDefinedId:
          type:
            - 'null'
            - string
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    BulkErrorDetail:
      required:
        - operation
        - total_items
        - failed_items
        - summary
        - details
      type: object
      properties:
        operation:
          type: string
        total_items:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        failed_items:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        summary:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false

````